Açılış Sayfaları
GET https://iyge.com/api/splash-pages/
curl --request GET \
--url 'https://iyge.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://iyge.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| search | Opsiyonel String | Arama dizesi. |
| search_by | Opsiyonel String | Hangi alanı arıyorsunuz? İzin verilen değerler: name. |
| datetime_field | Opsiyonel String | İzin verilen değerler: datetime, last_datetime |
| datetime_start | Opsiyonel String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opsiyonel String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opsiyonel String | Sonuçların hangi alana göre sıralanacağı. İzin verilen değerler: splash_page_id, datetime, last_datetime, name. |
| order_type | Opsiyonel String | Sonuçların sıralaması. İzin verilen değerler şunlardır: Artan sıralama için ASC ve azalan sıralama için DESC. |
| page | Opsiyonel Integer | Sonuçları almak istediğiniz sayfa numarası. Varsayılan değer 1'dir. |
| results_per_page | Opsiyonel Integer | Sayfa başına kaç sonuç görmek istediğiniz. İzin verilen değerler: 10, 25, 50, 100, 250, 500, 1000. Varsayılan değer 25'dir. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-09-02 14:16:05",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://iyge.com/api/projects?page=1",
"last": "https://iyge.com/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://iyge.com/api/projects?page=1"
}
}
GET https://iyge.com/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://iyge.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://iyge.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-09-02 14:16:05",
}
}
POST https://iyge.com/api/projects
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| name | Gerekli String | - |
| title | Opsiyonel String | - |
| logo | Opsiyonel Dosya | - |
| favicon | Opsiyonel Dosya | - |
| opengraph | Opsiyonel Dosya | - |
| description | Opsiyonel String | - |
| secondary_button_name | Opsiyonel String | - |
| secondary_button_url | Opsiyonel String | - |
| custom_css | Opsiyonel String | - |
| custom_js | Opsiyonel String | - |
| ads_header | Opsiyonel String | - |
| ads_footer | Opsiyonel String | - |
| link_unlock_seconds | Opsiyonel Integer | - |
| auto_redirect | Opsiyonel Boolean | - |
curl --request POST \
--url 'https://iyge.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://iyge.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://iyge.com/api/splash-pages/{splash_page_id}
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| name | Opsiyonel String | - |
| title | Opsiyonel String | - |
| logo | Opsiyonel Dosya | - |
| favicon | Opsiyonel Dosya | - |
| opengraph | Opsiyonel Dosya | - |
| description | Opsiyonel String | - |
| secondary_button_name | Opsiyonel String | - |
| secondary_button_url | Opsiyonel String | - |
| custom_css | Opsiyonel String | - |
| custom_js | Opsiyonel String | - |
| ads_header | Opsiyonel String | - |
| ads_footer | Opsiyonel String | - |
| link_unlock_seconds | Opsiyonel Integer | - |
| auto_redirect | Opsiyonel Boolean | - |
curl --request POST \
--url 'https://iyge.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://iyge.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://iyge.com/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://iyge.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://iyge.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \